LINUX.ORG.RU

Fedora 12 hda-intel падает pulseaudio


0

0

У меня Федора 12. Звук hda-intel.
При попытке проиграть музыкальный файл или фильм любая программа умирает. Не важно под КДЕ или под ГНОМ. Сам сижу на ГНОМЕ.

Пытался лечить так, но не помогло: http://forums.fedoraforum.org/showthread.php?t=225660

Вот сообщение от VLC:

VLC media player 1.0.4 Goldeneye
[0x92998b0] main libvlc: Запуск vlc с интерфейсом по умолчанию. Используйте 'cvlc' для запуска vlc без интерфейса.
*** Unable to locate valid config! Falling back to auto-detection...
[0xb7307018] a52 decoder: A/52 channels:6 samplerate:48000 bitrate:448000
*** Unable to locate PAC! Falling back to direct...
QPainter::begin: Paint device returned engine == 0, type: 1
QPainter::begin: Paint device returned engine == 0, type: 1
[0xb6f02808] pulse audio output: No. of Audio Channels: 6
[0xb6f02808] pulse audio output error: Failed to connect to server: OK
Assertion 'pthread_mutex_unlock(&m->mutex) == 0' failed at pulsecore/mutex-posix.c:108, function pa_mutex_unlock(). Aborting.

Вот амарок ругается:
Assertion 'pthread_mutex_unlock(&m->mutex) == 0' failed at pulsecore/mutex-posix.c:108, function pa_mutex_unlock(). Aborting.
KCrash: Application 'amarok' crashing...
sock_file=/home/kotfantazer/.kde/socket-localhost.kotfantazer/kdeinit4__0


Пытался переустанавливать пульс, но результатов не дало.

А просто снести пробовал?

anonymous ()
Ответ на: комментарий от kotfantazer

Как все сложно в вашей Федоре, то коробка не работает, то звук))

anonymous ()
Ответ на: комментарий от anonymous

Да мне самому она уже надоела))
Думаю что-нить постабильнее поставить)))

kotfantazer ()
Ответ на: комментарий от kotfantazer

маня ты гонишь. сносится на раз при установке и не всплывает никак уже с релиза 12ки

Unclown ()

Первая ссылка в гугле:

RHBZ #497650 - «mutexes are broken on PAE kernels?».

Какое у тебя ядро?

mironov_ivan ★★★★★ ()
Ответ на: комментарий от kotfantazer

ну так там у тебя не в том, что не сносится была проблема. а про то, что не сносится - какая-то лютая чушь, непонятно откуда взявшаяся

Unclown ()
Ответ на: комментарий от kotfantazer

Так а если снести, то программы тоже валятся, или просто звука нет?

anonymous ()
Ответ на: комментарий от kotfantazer

Версия ядра: 2.6.31.12-174.2.22.fc12.i686.PAE

Ща гляну...

Попробуй поставить ядро без PAE.

mironov_ivan ★★★★★ ()
Ответ на: комментарий от anonymous

Пробую снести. Он выдает кучу пакетов по зависимости. Сносить?
Просто мне стремно...как-то какой-то пакет снес и КДЕ убил :)))))

Removing:
pulseaudio i686 0.9.21-4.fc12 installed 1.9 M

Removing for dependencies:
alsa-plugins-pulseaudio i686 1.0.22-1.fc12 installed 87 k
blueman i686 1.21-2.fc12 installed 2.0 M
bluez i686 4.58-1.fc12 installed 903 k
kde-settings-pulseaudio noarch 4.3-16.1 installed 0.0
paprefs i686 0.9.9-5.fc12 installed 227 k
pulseaudio-esound-compat i686 0.9.21-4.fc12 installed 3.2 k
pulseaudio-module-bluetooth i686 0.9.21-4.fc12 installed 154 k
pulseaudio-module-gconf i686 0.9.21-4.fc12 installed 17 k
pulseaudio-module-x11 i686 0.9.21-4.fc12 installed 41 k
pulseaudio-module-zeroconf i686 0.9.21-4.fc12 installed 89 k

kotfantazer ()
Ответ на: комментарий от kotfantazer

А чего ты боишься? Все, кроме blueman и bluez напрямую с пульсом связано. Сноси, потом для блютуса заново поставишь что надо.

anonymous ()
Ответ на: комментарий от kotfantazer

Ну и пусть всё это сносит. У меня в Убунте ещё надо было обязательно снести gstreamer0.10-pulseaudio, иначе не работало со звуком всё, что на gstreamer.

Divius ★★ ()
Ответ на: комментарий от anonymous

Что из этого сносить:
xmms-pulse-0.9.4.8.fc12.i686 (49 k) - @fedora :
wine-pulseaudio-1.1.38.1.fc12.i686 (114 k) - @updates :
pulseaudio-utils-0.9.21.4.fc12.i686 (147 k) - @updates :
pulseaudio-libs-zeroconf-0.9.21.4.fc12.i686 (23 k) - @updates :
pulseaudio-libs-glib2-0.9.21.4.fc12.i686 (14 k) - @updates :
pulseaudio-libs-0.9.21.4.fc12.i686 (2.3 M) - @updates :
pulseaudio-gdm-hooks-0.9.21.4.fc12.i686 (385 ) - @updates :
pavumeter-0.9.3.4.fc12.i686 (74 k) - @fedora :
pavucontrol-0.9.10.1.fc12.i686 (553 k) - @fedora :
paman-0.9.4.4.fc12.i686 (492 k) - @fedora :
padevchooser-0.9.4.0.10.svn20070925.fc12.i686 (66 k) - @fedora :

Вылетает адская куча зависимостей ;)

kotfantazer ()

Пытался переустанавливать пульс, но результатов не дало.

Его надо полностью удалить, со всеми библиотеками. Нормально сконфигурировать альсу или oss (что вам больше нравится), и со звуком все будет ОК.

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от kotfantazer

Так все сноси, это все к пульсе относится)) В Федоре нет средств, чтобы посмотреть описания пакетов?)

anonymous ()
Ответ на: комментарий от anonymous

Есть :) Говорю же, что он тянет кучу лишних пакетов)))
ща...

//***//
YUM: --> Running transaction check
YUM: ---> Package VirtualBox-OSE.i686 0:3.1.2-1.fc12 set to be erased
YUM: ---> Package compiz-gnome.i686 0:0.8.2-21.fc12 set to be erased
YUM: ---> Package empathy.i686 0:2.28.2-2.fc12 set to be erased
YUM: ---> Package festvox-slt-arctic-hts.noarch 0:0.20061229-16.fc12 set to be erased
YUM: ---> Package firstboot.i686 0:1.110-1.fc12 set to be erased
YUM: --> Processing Dependency: firstboot for package: system-config-keyboard-1.3.1-1.fc12.i686
YUM: ---> Package gnome-session.i686 0:2.28.0-2.fc12 set to be erased
YUM: --> Processing Dependency: gnome-session = 2.28.0-2.fc12 for package: gnome-session-xsession-2.28.0-2.fc12.i686
YUM: --> Processing Dependency: gnome-session for package: desktop-effects-0.8.4-2.fc12.i686
YUM: ---> Package gnome-speech.i686 0:0.4.25-3.fc12 set to be erased
YUM: --> Processing Dependency: gnome-speech for package: dasher-4.10.1-2.fc12.i686
YUM: ---> Package kchmviewer.i686 0:4.0-5.fc12 set to be erased
YUM: ---> Package kdeaccessibility-libs.i686 1:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdeadmin.i686 7:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdeartwork.i686 0:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdebase-libs.i686 6:4.3.5-3.fc12 set to be erased
YUM: ---> Package kdebase-workspace-libs.i686 0:4.3.5-2.fc12 set to be erased
YUM: ---> Package kdebindings.i686 0:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdelibs-experimental.i686 0:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdenetwork.i686 7:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdenetwork-libs.i686 7:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdepim-runtime.i686 0:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdepim-runtime-libs.i686 0:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdepimlibs.i686 0:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdepimlibs-akonadi.i686 0:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdetoys.i686 7:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdeutils.i686 6:4.3.5-1.fc12 set to be erased
YUM: ---> Package kdeutils-libs.i686 6:4.3.5-1.fc12 set to be erased
YUM: ---> Package kile.i686 0:2.1-0.6.b3.fc12 set to be erased
YUM: ---> Package kio_msits.i686 7:4.3.5-1.fc12 set to be erased
YUM: ---> Package kio_sysinfo.i686 0:20090930-1.fc12 set to be erased
YUM: ---> Package krusader.i586 0:2.0.0-1.1.fc12 set to be erased
YUM: ---> Package libpurple.i686 0:2.6.6-1.fc12 set to be erased
YUM: --> Processing Dependency: libpurple.so.0 for package: telepathy-haze-0.3.1-3.fc12.i686
YUM: ---> Package orca.i686 0:2.28.3-1.fc12 set to be erased
YUM: ---> Package poppler-qt4.i686 0:0.12.3-8.fc12 set to be erased
YUM: ---> Package qedje.i686 0:0.4.0-4.fc12 set to be erased
YUM: ---> Package qimageblitz.i686 0:0.0.4-0.6.svn706674.fc12 set to be erased
YUM: ---> Package qscintilla.i686 0:2.4-9.fc12 set to be erased
YUM: ---> Package qwt.i686 0:5.1.1-4.fc12 set to be erased
YUM: ---> Package qwtplot3d-qt4.i686 0:0.2.7-9.fc12 set to be erased
YUM: ---> Package qzion.i686 0:0.4.0-5.fc12 set to be erased
YUM: ---> Package rhythmbox.i686 0:0.12.6-3.fc12 set to be erased
YUM: ---> Package scidavis.i686 0:0.2.3-11.fc12 set to be erased
YUM: ---> Package sound-juicer.i686 0:2.28.1-2.fc12 set to be erased
YUM: ---> Package stellarium.i686 0:0.10.2-5.fc12 set to be erased
YUM: ---> Package telepathy-farsight.i686 0:0.0.12-1.fc12 set to be erased
YUM: ---> Package tellico.i686 0:2.1.1-1.fc12 set to be erased
YUM: ---> Package totem-nautilus.i686 0:2.28.5-1.fc12 set to be erased
YUM: ---> Package webkitkde.i686 0:0.0.2-0.1.20091109svn.fc12 set to be erased
YUM: ---> Package webkitpart.i686 0:0.0.2-0.1.20091109svn.fc12 set to be erased
YUM: --> Running transaction check
YUM: ---> Package dasher.i686 0:4.10.1-2.fc12 set to be erased
YUM: ---> Package desktop-effects.i686 0:0.8.4-2.fc12 set to be erased
YUM: ---> Package gnome-session-xsession.i686 0:2.28.0-2.fc12 set to be erased
YUM: --> Processing Dependency: gnome-session-xsession for package: gnome-panel-2.28.0-15.fc12.i686
YUM: ---> Package system-config-keyboard.i686 0:1.3.1-1.fc12 set to be erased
YUM: ---> Package telepathy-haze.i686 0:0.3.1-3.fc12 set to be erased
YUM: --> Running transaction check
YUM: ---> Package gnome-panel.i686 0:2.28.0-15.fc12 set to be erased
YUM: --> Finished Dependency Resolution

//***//

kotfantazer ()
Ответ на: комментарий от kotfantazer
rpm -e [b]--nodeps --force[/b] ...

По-другому не получится.

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от kotfantazer

Впрочем... кажется это yum тянет за собой все зависимости :)

kotfantazer ()
Ответ на: комментарий от anonymous

А вот копета требует либу и без нее не работает.

kopete: error while loading shared libraries: libpulse.so.0: cannot open shared object file: No such file or directory

Вернуть на место, надо понимать?

kotfantazer ()
Ответ на: комментарий от kotfantazer

Звук-то заработал? Либу отдельно можно поставить, она сервер за собой не тянет

anonymous ()
Ответ на: комментарий от anonymous

Пока ВЛЦ кино запустил. Ритмбокс тоже играет.
Либу сейчас поставлю. Спасибо!

kotfantazer ()
Ответ на: комментарий от kotfantazer

Ну, в моем все том же дебиане есть пакет с названием libpulse0) У тебя как-то так же, наверное

anonymous ()
Ответ на: комментарий от kotfantazer

Не знаю, посмотри по зависимостям, оно немного должно с собой тянуть. Если не уверен будешь, можно пакет скачать, посмотреть, что внутри

anonymous ()
Ответ на: комментарий от anonymous

Все вернул! Вот эти пакеты лучше не трогать:
pulseaudio-libs-0.9.21.4.fc12.i686
pulseaudio-libs-glib2-0.9.21.4.fc12.i686

kotfantazer ()
Ответ на: комментарий от anonymous

Ха-ха-ха!!!!!
Зато после восстановления этих пакетов снова перестали работать все мултимедиа программы!!! :)))))) Пипец! И амарок и влц и тотем...

Тока в мозилле музыка играет.

kotfantazer ()
Ответ на: комментарий от kotfantazer

>kopete: error while loading shared libraries: libpulse.so.0: cannot open shared object file: No such file or directory

ахереть

FractalL ()
Ответ на: комментарий от kotfantazer

поставь уже дебиан и не мучайся, дружище

федора - глюкодром

FractalL ()
Ответ на: комментарий от Eddy_Em

ДЕБИЛЫ МЛЯ!!!
Почти все приложения могут воспроизводить звук как через PA, так и через ALSA. Так вот все что надо сделать, это
1) Отключить автозапуск pulseaudio (System->Settings->Startup applications -> Выбрать pulseaudio -> Remove)
2) chmod 000 /etc/alsa/pulse-default.conf
Все.

no-dashi ★★★★★ ()
Ответ на: комментарий от no-dashi

Значит так...
В автозапуске пульса нет. И второй вариант тоже не работает:
chmod 000 /etc/alsa/pulse-default.conf
chmod: невозможно получить доступ к `/etc/alsa/pulse-default.conf': Нет такого файла или каталога

kotfantazer ()
Ответ на: комментарий от kotfantazer

Значит так...

В автозапуске пульса нет. И второй вариант тоже не работает:

chmod 000 /etc/alsa/pulse-default.conf

chmod: невозможно получить доступ к `/etc/alsa/pulse-default.conf': Нет такого файла или каталога

Потому что ты уже снёс pulseaudio.

Ты кстати пробовал сменить PAE-ядро на обычно, как я сказал? Хотя уже не поможет, похоже ты всё сломал окончательно =).

mironov_ivan ★★★★★ ()
Ответ на: комментарий от mironov_ivan

Я пошел по более простому пути :)
Почему же сломал? Все, кроме некоторых программ работает.
Копета, амарок, кгет - фиг с ними. Зато можно слушать музыку и смотреть кино! :)))

Но буду думать о переходе на что-то более стабильное.

kotfantazer ()
Ответ на: комментарий от kotfantazer

Я пошел по более простому пути :)

Почему же сломал? Все, кроме некоторых программ работает.

Простой путь - это сменить ядро. Одна команда - и всё бы заработало =). Тем более, что PAE тебе скорее всего не нужно.

Но буду думать о переходе на что-то более стабильное.

Федора достаточно стабильна. Если конечно не ломать её специально.

mironov_ivan ★★★★★ ()
Ответ на: комментарий от mironov_ivan

А какая команда? По идее пульс можно вернуть:)
Если эту либу все будут требовать, то я верну пуль и сменю ядро.

kotfantazer ()
Ответ на: комментарий от mironov_ivan

>>Тем более, что PAE тебе скорее всего не нужно. А что, кстати, такое - это PAE?

kotfantazer ()
Ответ на: комментарий от kotfantazer

PAE. Это нужно если у тебя более 4GB оперативной памяти, но ты хочешь ипользовать 32х-разрядное ядро.

mironov_ivan ★★★★★ ()
Ответ на: комментарий от kotfantazer

По идее пульс можно вернуть:)

Если эту либу все будут требовать, то я верну пуль и сменю ядро.

А ты точно помнешь что делал и точно знаешь какие настройки изменились после снесения pulseaudio?

mironov_ivan ★★★★★ ()
Ответ на: комментарий от mironov_ivan

Я просто снес пакеты. Больше я ничего не менял:)
Поэтому думаю, что достаточно просто восстановить пакеты.
Я не прав?

kotfantazer ()
Ответ на: комментарий от kotfantazer

Сообщение удалено Unclown по причине нецензурные выражения

Я в шоке, дорогая редакция

Unclown ()
Ответ на: комментарий от kotfantazer

кроме того, что ты тащишь в систему черти что, о чем понятия не имеешь, а потом говоришь про нестабильность федоры? не, ничего

Unclown ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.